Redmine - Defect #35655

Create duplicated follows relations fails with 500 internal error
2021-08-01 15:41 - Marius BALTEANU

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Marius BALTEANU % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: 423

Resolution: Fixed Affected version: 4.2.0
Description

It seems that the relation validations are not covering all the cases and if you try to add two duplicated follows relations, the request
fails with 500 internal error. The issue reproduces only on 4.2.* versions and it's caused by #33418.

I, [2021-08-01T16:29:31.426087 #19530] INFO —-- : Completed 500 Internal Server Error in 117ms (Ac
tiveRecord: 70.3ms | Allocations: 8146)

F, [2021-08-01T16:29:31.427135 #19530] FATAL —-
ActiveRecord: :RecordNotUnique (Mysqgl2::Error: Duplicate entry '1-2' for key 'issue_relations.index
_issue_relations_on_issue_from_id_and_issue_to_id'):

app/controllers/issue_relations_controller.rb:67:in "block in create'
app/controllers/issue_relations_controller.rb:51:in “each'
app/controllers/issue_relations_controller.rb:51:in " create'

Related issues:
Related to Redmine - Feature #33418: Bulk addition of related issues Closed

Associated revisions

Revision 21150 - 2021-08-10 21:35 - Marius BALTEANU

Fixed create duplicate follow relation fails with 500 internal error (#35655).

Revision 21153 - 2021-08-11 22:35 - Marius BALTEANU
Merged r21150 to 4.2-stable (#35655).

History

#1 - 2021-08-01 15:41 - Marius BALTEANU
- Related to Feature #33418: Bulk addition of related issues added

#2 - 2021-08-01 15:42 - Marius BALTEANU

- Subject changed from Create duplicated follows relation fails with 500 internal error to Create duplicated follows relations fails with 500 internal error

#3 - 2021-08-06 01:52 - Marius BALTEANU
- File 33feaa6c980b9ceec151dd2fb760ff54f9b2ceci.patch added

Attached a patch to fix this.

#4 - 2021-08-10 21:36 - Marius BALTEANU
- Status changed from New to Resolved

- Resolution set to Fixed

Fixed in r21150.

#5 - 2021-08-11 22:40 - Marius BALTEANU

- Status changed from Resolved to Closed
https://www.redmine.org/issues/33418
https://www.redmine.org/projects/redmine/repository/svn/revisions/21150

Files

33feaabc980b9ceec151dd2fb760ff54f9b2cec.patch 2.36 KB 2021-08-05 Marius BALTEANU
